<?php

/**
 * Subclass for representing a row from the 'node_sitemap' table.
 *
 * @package plugins.marcomEnglishUkPhase2.lib.model
 */
class NodeSitemap extends BaseNodeSitemap implements ICatalyzContentProvider, ICatalyzToolbarActionManager, ICatalyzTranslatable {
    public function updateFromRequest($node, $request, $previewMode)
    {
    }

    public function getValidSubClasses()
    {
        return array();
    }

    static function getNodeClassCaption()
    {
        return 'Sitemap';
    }
    public static function getNodeClassDescription()
    {
        return '';
    }

    public function canAddChild($default)
    {
        return $default;
    }
    public function canEdit()
    {
        return true;
    }
    public function canReorderChildren($default)
    {
        return $default;
    }
    public function canDelete()
    {
        return false;
    }
	static public function getLayoutAreas(){
		return array();
	}
	public function removeTranslation($language)
	{
		$criteria = new Criteria();
		$criteria->add(NodeSitemapI18nPeer::ID, $this->getId());
		$criteria->add(NodeSitemapI18nPeer::CULTURE, $language);
		NodeSitemapI18nPeer::doDelete($criteria);
	}
	public function createTranslation($newLanguage)
	{
		// nothing
	}
}